Herald
OpenapiRealms

Create a new realm

POST
/api/realms

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

adminUser*
description?string|null
id?string|null
name*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/realms" \  -H "Content-Type: application/json" \  -d '{    "adminUser": {      "email": "string",      "password": "string"    },    "name": "string"  }'
{  "adminUser": null,  "createdAt": "string",  "description": "string",  "id": "string",  "name": "string",  "updatedAt": "string"}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}